// main: ./main.less, out: ../style.css, compress: false

/* ====================================================================================================================================
MODULES
======================================================================================================================================*/

.module_1col__simpletxt {
    margin: @margin__md*4 auto;
    //max-width: 680px;
    width: 100%;
    text-align: center;
    &--title {
        margin-bottom: @margin__md;
        //line-height: @lineH;
        .o-underline--center;
        .txt--font__bold;
    }
    &--text {
        margin-top: 0;
        margin-bottom: @margin__md;
    }
    @media @mq--smartphone {
        margin: @margin__md*2 auto;
    }
}

.module_1col__about {
    display: flex;
    justify-content: flex-start;
    margin-bottom: @margin__md*4;
    &>div {
        max-width: 520px;
    }
}

.module_1col__about-slider{
    .module_1col__about;
    justify-content: flex-end;
    .c-slideshow-pager {
        top: 0;
    }
}

.module_1col__about-slider_video {
    .module_1col__about;
    justify-content: flex-end;
    .c-slideshow-pager {
        top: 0;
    }
    .item {
        margin-top: @margin__md;
    }
    video {
        max-width: 520px;
        width: 100%;
    }
}

.c-btnslider {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 120;
    .c-btn {
        position: relative;
        width: 32px;
        height: 32px;
        display: inline-block;
        cursor: pointer;
        &:after {
            position: absolute;
            content: '';
            display: block;
            background-position: center;
            background-size: 60%;
            background-repeat: no-repeat;
            height: 100%;
            width: 100%;
        }
        &--left {
            &:after {
                background-image: url('./wp-content/images/icn__arrow--white.svg');
                .u-transform(scaleX(-1));
            }
        }
        &--right {
            &:after {
                background-image: url('./wp-content/images/icn__arrow--white.svg');
            }
        }
        @media @mq--nophone {
            background-color: fade(@vr__col-1, 60%);
            .trans.long;
            &:hover {
                background-color: fade(@vr__col-1, 100%);
            }
        }
    }
}